exif(1)

NUME
exif - afișează informațiile EXIF din fișierele JPEG

REZUMAT
exif [ OPȚIUNE ] [ fișier... ]

DESCRIERE
exif este un mic instrument în linia de comandă pentru a afișa și modifica informațiile EXIF din fișierele JPEG.

Majoritatea camerelor digitale produc fișiere EXIF, care sunt fișiere JPEG cu etichete suplimentare care conțin informații despre imagine. Instrumentul exif din linia de comandă vă permite să citiți și să scrieți informații EXIF în aceste fișiere. exif utilizează în mod intern biblioteca libexif.

Fiecare fișier de intrare furnizat în linia de comandă este tratat pe rând, utilizând toate opțiunile oferite. Execuția va fi întreruptă imediat dacă un fișier nu poate fi citit sau nu conține etichete EXIF.

Pe măsură ce etichetele EXIF sunt citite, toate etichetele necunoscute sunt eliminate, iar cele cunoscute sunt convertite automat în formatul corect, dacă nu sunt deja convertite. Etichetele MakerNote corupte sunt, de asemenea, eliminate, dar nu se efectuează nicio modificare de format.

OPȚIUNI

-v, --version
    Afișează numărul versiunii exif.

-i, --ids
    Afișează numerele de identificare în loc de numele etichetelor.

-t, --tag=ETICHETA
    Selectează numai această ETICHETĂ. ETICHETA este titlul etichetei, numele scurt al etichetei sau numărul etichetei (numerele hexazecimale sunt prefixate cu 0x), din directorul fișierelor de imagine („Image File Directory”: IFD) specificat cu „--ifd”. Titlul etichetei depinde de localizarea curentă, în timp ce numele și numărul sunt independente de localizare.

--ifd=IFD
    Selectează una sau mai multe etichete din acest IFD. IFD-urile valide sunt „0”, „1”, „EXIF”, „GPS” și „Interoperability”. Valoarea implicită este „0”.

-l, --list-tags
    Listează toate etichetele EXIF și IFD cunoscute. Trebuie furnizată o imagine JPEG, iar etichetele care apar în fișier sunt afișate cu un asterisc în poziția corespunzătoare din listă.

-|, --show-mnote
    Afișează conținutul etichetei MakerNote. Conținutul acestei etichete este nestandardizat (și adesea nedocumentat) și, prin urmare, este posibil să nu fie recunoscut sau, dacă este recunoscut, să nu fie neapărat interpretat corect.

--remove
    Elimină eticheta sau (dacă nu este specificată nicio etichetă) întregul IFD.

-s, --show-description
    Afișează descrierea etichetei. Opțiunea „--tag” trebuie, de asemenea, să fie dată.

-e, --extract-thumbnail
    Extrage imaginea în miniatură, scriind imaginea în miniatură în fișierul specificat cu „--output”.

-r, --remove-thumbnail
    Elimină miniatura din imagine, scriind noua imagine în fișierul specificat cu „--output”.

-n, --insert-thumbnail=FIȘIER
    Inserează FIȘIERUL ca miniatură. Nu încearcă să se asigure dacă conținutul FIȘIERULUI este într-un format de miniatură valid.

--no-fixup
    Nu se încearcă remedierea încălcărilor specificațiilor EXIF la citirea etichetelor. Atunci când este utilizată împreună cu opțiunea „--create-exif”, această opțiune inhibă crearea etichetelor obligatorii. În caz contrar, exif va elimina etichetele ilegale sau necunoscute, va adăuga unele etichete obligatorii folosind valori implicite și va modifica tipul de date al unor etichete pentru a corespunde cu cel cerut de specificație.

-o, --output=FIȘIER
    Scrie imaginea de ieșire în FIȘIER. Dacă această opțiune nu este dată și trebuie scris un fișier imagine, numele utilizat este același cu cel al fișierului de intrare cu sufixul „.modified.jpeg”.

--set-value=VALOARE
    Stabilește datele pentru eticheta specificată cu opțiunile „--tag” și „--ifd” la VALOARE. Valorile compuse formate din mai multe componente sunt separate prin spații.

-c, --create-exif
    Creează datele EXIF dacă acestea nu există. Etichetele obligatorii sunt create cu valori implicite, cu excepția cazului în care se dă opțiunea „--no-fixup”. Această opțiune poate fi utilizată în loc de specificarea unui nume de fișier de intrare în majoritatea cazurilor, pentru a opera asupra valorilor implicite ale setului obligatoriu de etichete EXIF. În acest caz, opțiunea „--output” nu are niciun efect și nu se scrie niciun fișier.

-m, --machine-readable
    Produce rezultate într-un format care poate fi citit automat (delimitat de tabulatoare). Opțiunile „--xml-output” și „--machine-readable” se exclud reciproc.

-w, --width=N
    Stabilește lățimea maximă a ieșirii la N caractere (implicit 80). Acest lucru nu se aplică anumitor formate de ieșire (de exemplu, XML).

-x, --xml-output
    Produce rezultate în format XML (atunci când este posibil). Opțiunile „--xml-output” și „--machine-readable” se exclud reciproc. Rețineți că schema XML se modifică în funcție de configurația regională și, uneori, produce un XML nevalid. Această opțiune nu este recomandată.

-d, --debug
    Afișează mesajele de depanare. De asemenea, atunci când se procesează un fișier care conține date corupte, această opțiune face ca exif să încerce să continue procesarea. În mod normal, datele corupte provoacă o întrerupere.

  Opțiuni de ajutor

-?, --help
    Afișează acest mesaj de ajutor.

--usage
    Afișează un mesaj de utilizare succint.

EXEMPLE
Afișează toate etichetele EXIF recunoscute într-o imagine și conținutul etichetelor, cu etichetele greșite corectate:

    exif image.jpg

Afișează un tabel care enumeră toate etichetele EXIF cunoscute și dacă fiecare dintre ele există în imaginea dată:

    exif --list-tags --no-fixup image.jpg

Afișează detalii despre toate etichetele XResolution găsite în imaginea dată:

    exif --tag=XResolution --no-fixup image.jpg

Afișează conținutul brut al etichetei „Model” din imaginea dată (cu un caracter de linie nouă adăugat):

    exif --ifd=0 --tag=Model --machine-readable image.jpg

Extrage miniatura în fișierul thumbnail.jpg:

    exif --extract-thumbnail --output=thumbnail.jpg image.jpg

Afișează o listă cu valorile numerice numai ale etichetelor EXIF din IFD-ul miniatural (IFD 1) și valorile etichetelor:

    exif --ids --ifd=1 --no-fixup image.jpg

Afișează semnificația etichetei 0x9209 din IFD „EXIF” în conformitate cu specificațiile EXIF:

    exif --show-description --ifd=EXIF --tag=0x9209

Adaugă o etichetă de orientare cu valoarea „Bottom-left” (stânga-jos) (4) la o imagine existentă, lăsând etichetele existente neatinse:

    exif --output=new.jpg --ifd=0 --tag=0x0112 --set-value=4 --no-fixup image.jpg

Adaugă o etichetă YCbCr Sub-Sampling cu valoarea 2,1 (alias YCbCr 4:2:2) la o imagine existentă și repară etichetele existente, dacă este necesar:

    exif --output=new.jpg --tag=YCbCrSubSampling --ifd=0 --set-value='2 1' image.jpg

Elimină eticheta „Comentariu utilizator” dintr-o imagine:

    exif --output=new.jpg --remove --tag="Comentariu utilizator" --ifd=EXIF image.jpg

Afișează un tabel cu toate etichetele EXIF cunoscute, evidențiindu-le pe cele obligatorii:

    exif -cl

AUTOR
exif a fost scris de Lutz Mueller <lutz@users.sourceforge.net> și de numeroși colaboratori. Această pagină de manual are drepturi de autor © 2002-2012 Thomas Pircher, Dan Fandrich și alții.

CONSULTAȚI ȘI
https://libexif.github.io/

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.